# Cogl is listed in site.conf as being "ABI-safe" which means that
# Bitbake won't force a rebuild of packages that depend on Cogl when
# Cogl changes. Whilst this is fine for code that uses Cogl through
# stable APIs (such as GLES) this is more problematic for code that
# talks to Cogl directly.

# Any recipes that depend on Cogl that need to be rebuilt if the
# Cogl ABI change should include this file so the ABI version is
# included in appropriate signatures to force a rebuild.

BS_COGL_ABI_VERSION = "1"

# We need to export the variable so that the signature generator
# thinks it is significant and adds it to the hash.
export BS_COGL_ABI_VERSION
