# brightsign-nexus-image
#
# Image configuration for BrightSign based on Nexus
#

PR = "r3"
PACKAGE_ARCH = "${MACHINE_ARCH_DEBUG}"
__BB_DONT_CACHE = "1"

# This really means "don't install any static entries in /dev".
USE_DEVFS = "1"

TD_ONLY_PACKAGES = "crash-kernel lttng-tools lttng-modules babeltrace"
DEBUG_PACKAGES = "strace gdbserver alsa-utils-aplay alsa-utils-speakertest lmbench"
WIFI_DRIVER_PACKAGE = "bcm4323-driver"
WIFI_TOOLS_PACKAGE = "bcm4323-tools"
WIFI_PACKAGES = "wpa-supplicant ${WIFI_TOOLS_PACKAGE} ${WIFI_DRIVER_PACKAGE}"

WIFI_PACKAGES_bcm97445 = ""

IMAGE_INSTALL = "base-files \
	         base-passwd \
		 busybox \
		 ca-certificates \
		 brightsign-apps \
		 brightsign-apps-check-for-update \
		 brightsign-apps-storage \
		 mtd-utils \
		 mtd-utils-ubifs \
		 brightsign-startup \
		 brightsign-startup-automount \
                 brightsign-remote-login \
		 avahi \
		 util-linux-blkid \
		 dhcpcd \
		 lldpd \
		 dosfstools \
		 kernel-modules \
		 iperf \
		 iproute2 \
                 iproute2-tc \
		 linuxptp \
		 tcpdump \
		 e2fsprogs-e2fsck e2fsprogs-mke2fs e2fsprogs-badblocks \
		 ${@base_conditional('BS_DEBUG', '1', '${DEBUG_PACKAGES}', '', d)} \
		 ${WIFI_PACKAGES} \
		 memtester \
		 net-snmp-server \
		 flashbench \
		 dfu-programmer \
		 ${@base_conditional('BS_TIMEDOCTOR', '1', '${TD_ONLY_PACKAGES}', '', d)} \
                 ${IMAGE_INSTALL_WEBKIT} \
                 ${IMAGE_INSTALL_DVB_FIRMWARE} \
		 "

IMAGE_INSTALL_DVB_FIRMWARE = ""
IMAGE_INSTALL_DVB_FIRMWARE_lynx = "dvb-ctc701-firmware"
IMAGE_INSTALL_DVB_FIRMWARE_tiger = "dvb-ctc701-firmware"
IMAGE_INSTALL_DVB_FIRMWARE_cheetah = "dvb-xc5200-firmware"

IMAGE_INSTALL_WEBKIT = " \
		 fontconfig-utils \
		 gdk-pixbuf-loader-png \
		 gdk-pixbuf-loader-jpeg \
		 gdk-pixbuf-loader-bmp \
"

IMAGE_INSTALL_WEBKIT_puma = ""
IMAGE_INSTALL_WEBKIT_panther = ""

IMAGE_INSTALL_append_puma = " \
                 brightsign-dora-fpga \
"

IMAGE_INSTALL_append_tiger = "\
		 bluez5 \
"

IMAGE_LINGUAS = ""

IMAGE_INSTALL += "curl"

DEPENDS = "virtual/kernel"

LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/LICENSE;md5=4d92cd373abda3937c2bc47fbc49d690 \
                    file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"

IMAGE_DEPENDS_squashfs-signed = "${IMAGE_DEPENDS_squashfs}"

IMAGE_CMD_squashfs-signed() {
	${IMAGE_CMD_squashfs}
	${FILE_DIRNAME}/files/sign-squashfs.py ${BS_ROOTFS_PRIVATE_KEY} ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs.squashfs
}

inherit image

BS_MAYBE_DBG_PKGS ??= "dbg-pkgs"
EXTRA_IMAGE_FEATURES += "${BS_MAYBE_DBG_PKGS}"

IMAGE_CMD_ubi_bcm97445 () {
	echo \[writable\] > ubinize.cfg
	echo mode=ubi >> ubinize.cfg
	echo vol_id=0 >> ubinize.cfg
	echo vol_size=1MiB >> ubinize.cfg
	echo vol_type=dynamic >> ubinize.cfg
	echo vol_name=writable >>ubinize.cfg
	echo >> ubinize.cfg
	echo \[rootfs\] >> ubinize.cfg 
	echo mode=ubi >> ubinize.cfg
	echo image=${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs.ubifs >> ubinize.cfg 
	echo vol_id=1 >> ubinize.cfg 
	echo vol_type=dynamic >> ubinize.cfg 
	echo vol_name=${UBI_VOLNAME} >> ubinize.cfg 
	echo vol_size=150MiB >> ubinize.cfg
	mkfs.ubifs -r ${IMAGE_ROOTFS} -o ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs.ubifs ${MKUBIFS_ARGS} && ubinize -o ${DEPLOY_DIR_IMAGE}/${IMAGE_NAME}.rootfs.ubi ${UBINIZE_ARGS} ubinize.cfg
}
