LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://dhcpcd.c;beginline=6;endline=26;md5=239979d4ee04ad1437286ca7cbab34ff"

SRC_URI = "http://roy.marples.name/downloads/dhcpcd/dhcpcd-${PV}.tar.bz2 \
		file://01-dhcpcd-log \
		file://dhcpcd-5.2.8-syslog-to-stderr.patch \
		file://dhcpcd-5.2.8-initial-holdoff.patch \
"
SRC_URI[sha256sum] = "eebb9f9e13b40d47efbb56d8568e54f640bee3337ba45b30b3e47db5b14220b7"

#EXTRA_OECONF = "${@base_contains('DISTRO_FEATURES', 'ipv6', '--enable-ipv6', '--disable-ipv6', d)}"

# For now let's keep IPv6 disabled because dhcpcd can be a bit noisy
# about it being missing in the kernel.
EXTRA_OECONF = "--disable-ipv6"

PR = "r2.3"

FILES_${PN}-dbg += "/lib/dhcpcd/dev/.debug"

inherit autotools

do_install_append() {
    # We don't want all of dhcpcd's hooks
    find ${D}${libexecdir}/dhcpcd-hooks -type f ! -name '20-resolv.conf' -print -exec rm -f "{}" \;

    # But we do want our debug hook
    install -m 644 ${WORKDIR}/01-dhcpcd-log ${D}${libexecdir}/dhcpcd-hooks/

    # And we'd rather create our own symlink for /var/db
    rmdir ${D}/var/db

    # We don't want dhcpcd's configuration, we will ship our own
    rm ${D}${sysconfdir}/dhcpcd.conf
}

