SRC_URI = "http://iguanaworks.net/downloads/iguanaIR-${PV}.tar.bz2 \
	file://no-set-owner.patch file://configure.patch \
	file://makefile-librt.patch"
LICENSE = "GPLv2"
S = "${WORKDIR}/iguanaIR-${PV}"
LIC_FILES_CHKSUM = "file://LICENSE;md5=751419260aa954499f7abaabaa882bbe"
PR = "r5"

inherit autotools-brokensep

#DEPENDS += "python python-native swig-native popt libusb"
DEPENDS += "popt libusb"
LDFLAGS += "-Wl,--no-as-needed"
CONFIGUREOPTS += "--disable-python"

# Iguana has stuff in its drivers directory that depends on stuff in
# the root but it tries to build them in parallel. :(
PARALLEL_MAKE = ""

FILES_${PN} += "${libdir}/iguanaIR/lib*.so"

do_configure_prepend() {
	cp autoconf/*.ac autoconf/*.m4 autoconf/stamp-h* .
}

do_install_append() {
	rm -rf ${D}${sysconfdir}/init.d
	rm -f ${D}${bindir}/iguanaIR-reflasher
	rm -rf ${D}/dev ${D}/lib/udev
}

FILES_${PN}-dbg += "${libdir}/iguanaIR/.debug"

export HOST_SYS 
export BUILD_SYS
export STAGING_LIBDIR
export STAGING_INCDIR

AUTOTOOLS_COPYACLOCAL = "1"
